► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 7 | Editor Classes

7.1 | editor<%>
7.2 | editor-admin%
7.3 | editor-canvas%
7.4 | editor-data%
7.5 | editor-data-class%
7.6 | editor-data-class-list<%>
7.7 | editor-snip-editor-admin<%>
7.8 | editor-snip%
7.9 | editor-stream-in%
7.10 | editor-stream-in-base%
7.11 | editor-stream-in-bytes-base%
7.12 | editor-stream-out%
7.13 | editor-stream-out-base%
7.14 | editor-stream-out-bytes-base%
7.15 | editor-wordbreak-map%
7.16 | keymap%
7.17 | pasteboard%
7.18 | text%

On this page:

bad?
read
read-bytes
read-byte
seek
skip
tell

top ← prev up next →

> class

> editor-stream-in-base% : class?

superclass: object%

An editor-stream-in-base% object is used by an editor-stream-in% object to perform low-level reading of data.

The editor-stream-in-base% class is never instantiated directly, but the derived class editor-stream-in-bytes-base% can be instantiated. New derived classes must override all of the methods described in this section.

> > method

> > (send an-editor-stream-in-base bad?) → boolean?

Returns #t if there has been an error reading from the stream, #f otherwise.

> > method

> > (send an-editor-stream-in-base read data)

> → exact-nonnegative-integer?
> data : (and/c vector? (not immutable?))

Like read-bytes, but fills a supplied vector with Latin-1 characters instead of filling a byte string. This method is implemented by default via read-bytes.

> > method

> > (send an-editor-stream-in-base read-bytes |  | bstr |
> > | [ | start |
> > |  | end]) |

> → exact-nonnegative-integer?
> bstr : (and/c bytes? (not immutable?))
> start : exact-nonnegative-integer? = 0
> end : exact-nonnegative-integer? = (bytes-length bstr)

Reads bytes to fill the supplied byte string. The return value is the number of bytes read, which may be less than the number requested if the stream is emptied. If the stream is emptied, the next call to bad? must return #t.

The bytes that are read are stored in bstr starting at position start and going to at most to end.

> > method

> > (send an-editor-stream-in-base read-byte) → (or/c byte? #f)

Reads a single byte and return it, or returns #f if no more bytes are available. The default implementation of this method uses read-bytes.

> > method

> > (send an-editor-stream-in-base seek pos) → void?

> pos : exact-nonnegative-integer?

Moves to the specified absolute position in the stream.

> > method

> > (send an-editor-stream-in-base skip n) → void?

> n : exact-nonnegative-integer?

Skips past the next n characters in the stream.

> > method

> > (send an-editor-stream-in-base tell)

> → exact-nonnegative-integer?

Returns the current stream position.
top ← prev up next →